﻿/* CHECK IN */
/* CARD PRINCIPALE */
.checkin-card {
    background: #ffffff;
    padding: 25px;
    border-radius: 16px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.06);
    margin-top: 20px;
}

/* RIGA INFO */
.info-row {
    display: flex;
    border-bottom: 1px solid #edf0f2;
    padding: 12px;
    align-items: center;
    background-color: #f6f6f6; /* 🔥 più chiaro rispetto al background */
    border-radius: 8px;
    margin-bottom: 8px;
}

    .info-row:hover {
        background-color: #f1f3f6;
    }

.info-label {
    width: 200px;
    font-weight: 600;
    color: #2c3e50;
}

.info-value {
    flex: 1;
    color: #444;
}

/* STATUS */
.status-badge {
    display: inline-block;
    padding: 8px 16px;
    border-radius: 20px;
    font-weight: bold;
    background: #dc3545;
    color: white;
    margin-bottom: 15px;
    transition: 0.3s;
}

.status-done {
    background: #f51f07 !important;
}

/* 🔥 BOTTONE VERDE MODERNO */
.checkin-btn {
    font-size: 16px;
    padding: 14px 28px;
    border-radius: 12px;
    border: none;
    background: #28a745; /* ✅ verde */
    color: white;
    cursor: pointer;
    font-weight: 600;
    transition: all 0.2s ease-in-out;
    box-shadow: 0 4px 10px rgba(40,167,69,0.3);
}

    .checkin-btn:hover {
        background: #218838;
        transform: translateY(-2px);
        box-shadow: 0 6px 14px rgba(40,167,69,0.4);
    }

    .checkin-btn:active {
        transform: scale(0.96);
    }

    .checkin-btn:disabled {
        background: #6c757d;
        cursor: not-allowed;
        box-shadow: none;
    }
    /*Braccialetto*/
.wristband {
    width: 70px;
    height: 22px;
    border-radius: 12px;
    display: inline-block;
    margin-left: 8px;
    background: var(--band-color) !important;
    background-image: none !important;
    /* bordo per i colori chiari tipo #fff */
    border: 1px solid rgba(0,0,0,0.25);
    box-shadow: inset -4px 0 rgba(0,0,0,0.15), inset 4px 0 rgba(255,255,255,0.25), 0 2px 4px rgba(0,0,0,0.2);
}
}/* FINE CHECK IN */
